Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224156 - gimp fails to rebuild on a rawhide system
Summary: gimp fails to rebuild on a rawhide system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 14:06 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 13:09:52 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-01-24 14:06:43 UTC
Description of problem:
error: Failed build dependencies:
	xorg-x11-devel is needed by gimp-2.2.13-1.i386
Installing src/gimp-2.2.13-1.fc6.src.rpm

Comment 1 Nils Philippsen 2007-01-31 16:55:52 UTC
the gimp spec file relies on either %fedora or %redhat being set in the build
system which uses modular X for sufficiently high values of either %fedora or
%redhat. You can override the automatism by using "--with modular_x" on the
rpmbuild command line. Do you think I should change that, so it assumes modular
X by default?

Comment 2 Karsten Hopp 2007-02-01 11:32:47 UTC
RHEL-3 is our only release where you still might need to update gimp and build
with a monolithic X. All other supported releases have modular X, so I think
it's save to set that as default. Just remember to change that for the
(unlikely) case that you have to do an gimp erratum for RHEL-3.

Comment 3 Nils Philippsen 2007-02-01 13:09:52 UTC
Well, that's no issue because RHEL-3 has its own spec file which is very
different (gimp version 1.2.3) so I won't be tempted to just copy over stuff
from Rawhide ;-). I've checked in the changed defaults (lcms would also depend
on %fedora or %redhat), but won't build a package with this change as we're
bound to have some mass rebuilds at some point.


Note You need to log in before you can comment on or make changes to this bug.